Package org.silverpeas.components.quickinfo.control

# Class QuickInfoSessionController

java.lang.Object
org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
org.silverpeas.components.quickinfo.control.QuickInfoSessionController

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

public class QuickInfoSessionController extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

Author:
  squere
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickInfoSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNewsToBeCopied(String newsId)`
  `void`
  `create(News news)`
  Creates into persistence the news with minimal data.
  `org.silverpeas.core.web.util.ListIndex`
  `getIndex()`
  `QuickInfoComponentSettings`
  `getInstanceSettings()`
  `News`
  `getNews(String id, boolean statVisit)`
  `News`
  `getNewsByForeignId(String foreignId)`
  `News`
  `getNext()`
  `News`
  `getPrevious()`
  `NewsByStatus`
  `getQuickInfos()`
  `org.silverpeas.core.io.media.image.thumbnail.ThumbnailSettings`
  `getThumbnailSettings()`
  `List<News>`
  `getVisibleQuickInfos()`
  `boolean`
  `isNewsIdentifierFromMemory(String newsId)`
  Indicates if the given news identifier is one that indicates the news is in memory only.
  `boolean`
  `isNewsToPaste()`
  `Boolean`
  `isSubscriberUser()`
  `String`
  `manageSubscriptions()`
  `void`
  `paste()`
  `News`
  `prepareEmptyNews()`
  Prepare an instance of news that will exist only in memory if no action persistence will be applied on.
  `void`
  `publish(String id)`
  Publish news represented by the given identifier.
  `void`
  `submitNewsOnHomepage(String id)`
  `void`
  `update(String id, News updatedNews, String pdcPositions, Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles, boolean forcePublish)`
  Updates all the data of news.

  ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickInfoSessionController

    public QuickInfoSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)

- ## Method Details

  - ### getInstanceSettings

    public QuickInfoComponentSettings getInstanceSettings()

  - ### getQuickInfos

    public NewsByStatus getQuickInfos()

  - ### getVisibleQuickInfos

    public List<News> getVisibleQuickInfos()

  - ### getNews

    public News getNews(String id, boolean statVisit)

  - ### getNewsByForeignId

    public News getNewsByForeignId(String foreignId)

  - ### publish

    public void publish(String id)
    Publish news represented by the given identifier.
    Parameters:
      `id` - the identifier of the news that must be published.

  - ### prepareEmptyNews

    public News prepareEmptyNews()
    Prepare an instance of news that will exist only in memory if no action persistence will be applied on.
    Returns:
      an in memory instance of news.

  - ### isNewsIdentifierFromMemory

    public boolean isNewsIdentifierFromMemory(String newsId)
    Indicates if the given news identifier is one that indicates the news is in memory only.
    Parameters:
      `newsId` - the news identifier to verify.
    Returns:
      true if the news identifier is one for memory use, false otherwise (id is one of persisted news).

  - ### create

    public void create(News news)
    Creates into persistence the news with minimal data.
    Parameters:
      `news` - the news to persist.

  - ### update

    public void update(String id, News updatedNews, String pdcPositions, Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles, boolean forcePublish)
    Updates all the data of news.
    Parameters:
      `id` - the identifier of the news (used to load previous data).
      `updatedNews` - the data to save.
      `pdcPositions` - the pdc positions.
      `uploadedFiles` - the files uploaded in the aim to be attached to the news.
      `forcePublish` - true to indicate a publishing action, false otherwise.

  - ### getThumbnailSettings

    public org.silverpeas.core.io.media.image.thumbnail.ThumbnailSettings getThumbnailSettings()

  - ### isSubscriberUser

    public Boolean isSubscriberUser()

  - ### manageSubscriptions

    public String manageSubscriptions()

  - ### submitNewsOnHomepage

    public void submitNewsOnHomepage(String id)

  - ### addNewsToBeCopied

    public void addNewsToBeCopied(String newsId) throws org.silverpeas.core.clipboard.ClipboardException
    Throws:
      `org.silverpeas.core.clipboard.ClipboardException`

  - ### isNewsToPaste

    public boolean isNewsToPaste() throws org.silverpeas.kernel.SilverpeasException
    Throws:
      `org.silverpeas.kernel.SilverpeasException`

  - ### paste

    public void paste() throws org.silverpeas.core.clipboard.ClipboardException
    Throws:
      `org.silverpeas.core.clipboard.ClipboardException`

  - ### getPrevious

    public News getPrevious()

  - ### getNext

    public News getNext()

  - ### getIndex

    public org.silverpeas.core.web.util.ListIndex getIndex()